Skip to main content
`Ctrl`+`K`

# PetscLogEventSetError

Set the nth error associated with a numerical problem associated with this event

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventSetError(PetscLogEvent event, PetscInt n, PetscLogDouble error)

Not Collective

## Input Parameters

- event - The event id to log

- n - The error index, in [0, 8)

- error - The error

## Options Database Key

- -log_view - Activates log summary

## Notes

This is to enable logging of convergence, and enable users to interpret the errors as they wish. For example, as different norms, or as errors for different fields

This is a low level routine used by the logging functions in PETSc

## See Also

`PetscLogEventSetDof()`, `PetscLogEventRegister()`, `PetscLogGetDefaultHandler()`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages